#!/usr/bin/env bash

BUILD_PATH=$1
if [ -z ${BUILD_PATH} ]; then
    echo "Missing versions path!"
    exit 1
fi

./generate_version.sh ${BUILD_PATH}
if [ $? -ne 0 ]; then
    echo "Failed to generate version!"
    exit 1
fi

./package_server.sh ${BUILD_PATH}
if [ $? -ne 0 ]; then
    echo "Failed to package server!"
    exit 1
fi

./deploy_build.sh ${BUILD_PATH}
if [ $? -ne 0 ]; then
    echo "Failed to deploy package!"
    exit 1
fi